#!/bin/sh

if [ -z $1 ]; then
    echo "usage: ./x4boot.sh <SD Reader's device file>"
    exit 0
fi

if [ ! -b $1 ]; then
    echo "$1 is not found."
    exit 0
fi

echo "BL1 fusing"
dd if=./bl1.bin.hardkernel of=$1 seek=1

echo "BL2 fusing"
dd if=./bl2.bin.hardkernel.720k_uboot of=$1 seek=31

echo "u-boot fusing"
dd if=./u-boot.bin.hardkernel of=$1 seek=63

echo "TrustZone S/W fusing"
dd if=./tzsw.bin.hardkernel of=$1 seek=1503

echo "u-boot env erase..."
dd if=/dev/zero of=$1 seek=2015 bs=512 count=32

